#!/bin/bash
# Script to run make modules install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_make_modules_install() {
	if [ ! -r Makefile ]; then
		echo "No rule for installing $recipe_name"
		exit 1
	fi
	log_exec rm -rf $install_loc
	log_exec mkdir -p $install_loc
	log_exec make modules_install $dest_dir=$install_loc $make_other_flags $make_install_other_flags "$@"
}

do_buildstep_prepend

do_make_modules_install

do_buildstep_append
